Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86144 - quanta QToolBar reports warnings at application startup
Summary: quanta QToolBar reports warnings at application startup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: quanta
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-14 20:51 UTC by Scott R. Godin
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-13 13:17:36 UTC


Attachments (Terms of Use)

Description Scott R. Godin 2003-03-14 20:51:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When starting quanta from the command line of an xterm, the following warning is
repeated several times

QToolBar::QToolBar main window cannot be 0.



Version-Release number of selected component (if applicable):
quanta-3.0-1.pr1.5

How reproducible:
Always

Steps to Reproduce:
1.start quanta from the command line of an xterm


Actual Results:  3:36pm {6} pcp02404936pcs:/home/webdragon>$ quanta
_KDE_IceTransmkdir: Owner of /tmp/.ICE-unix should be set to root
DCOPServer up and running.
QToolBar::QToolBar main window cannot be 0.
QToolBar::QToolBar main window cannot be 0.
QToolBar::QToolBar main window cannot be 0.
QToolBar::QToolBar main window cannot be 0.
QToolBar::QToolBar main window cannot be 0.
QToolBar::QToolBar main window cannot be 0.
QGDict::hashKeyString: Invalid null key


Expected Results:  no warnings from QT

Additional info:

Additionally I have repeatedly seen this: 

_KDE_IceTransmkdir: Owner of /tmp/.ICE-unix should be set to root

and gone and manually changed the ownership of that file. I continue to see this
warning, and do not know what is re-arranging this after I have reset it. 

It would also be particularly nice if these warnings reported line numbers so
one could go in and mess with the code itself.

Comment 1 Ngo Than 2003-05-13 13:17:36 UTC
it's fixed in quanta-3.1-1


Note You need to log in before you can comment on or make changes to this bug.